﻿<Graph ClassName="AMProdOperExtBG" Source="#CDATA" IsNew="True" FileType="NewFile">
    <CDATA name="Source"><![CDATA[using CRLocation = PX.Objects.CR.Standalone.Location;
using PX.Data.ReferentialIntegrity.Attributes;
using PX.Data;
using PX.Objects.AM.Attributes;
using PX.Objects.AM;
using PX.Objects.AP;
using PX.Objects.CM;
using PX.Objects.CR;
using PX.Objects.CS;
using PX.Objects.IN;
using PX.Objects.PO;
using PX.Objects;
using System.Collections.Generic;
using System;

namespace PX.Objects.AM
{
    public class AMProdOperExtBG : PXCacheExtension<PX.Objects.AM.AMProdOper>
    {
        #region UsrBarcode
        [PXDBString(50, IsUnicode = true, InputMask = "")]
        [PXUIField(DisplayName = "Barcode")]
        public virtual string UsrBarcode { get; set; }
        public abstract class usrBarcode : PX.Data.BQL.BqlString.Field<usrBarcode> { }
        #endregion

        #region UsrPrintBarcode
        protected Boolean? _IsDefault;
        [PXDBBool()]
        [PXUIField(DisplayName = "Print Barcode")]
        public virtual Boolean? UsrPrintBarcode
        {
            get
            {
                return this._IsDefault;
            }
            set
            {
                this._IsDefault = value;
            }
        }
        public abstract class usrPrintBarcode : PX.Data.BQL.BqlBool.Field<usrPrintBarcode> { }
        #endregion
    }
}]]></CDATA>
</Graph>